Email::MIME::ContentType(3)

NAME
Email::MIME::ContentType - Parse a MIME Content-Type Header

VERSION
version 1.013

SYNOPSIS
  use Email::MIME::ContentType;

  # Content-Type: text/plain; charset="us-ascii"; format=flowed
  my $ct = 'text/plain; charset="us-ascii"; format=flowed';
  my $data = parse_content_type($ct);

  $data = {
    discrete   => "text",
    composite  => "plain",
    attributes => {
      charset => "us-ascii",
      format  => "flowed"
    }
  };

FUNCTIONS

  parse_content_type
This routine is exported by default.

This routine parses email content type headers according to section 5.1 of RFC 2045. It returns a hash as above, with entries for the discrete type, the composite type, and a hash of attributes.

WARNINGS
This is not a valid content-type header, according to both RFC 1521 and RFC 2045:

  Content-Type: type/subtype;

If a semicolon appears, a parameter must. "parse_content_type" will carp if it encounters a header of this type, but you can suppress this by setting $Email::MIME::ContentType::STRICT_PARAMS to a false value. Please consider localizing this assignment!

PERL EMAIL PROJECT
This module is maintained by the Perl Email Project.

<http://emailproject.perl.org/wiki/Email::MIME::ContentType>

AUTHOR
Casey West, "casey@geeknest.com" Simon Cozens, "simon@cpan.org"

SEE ALSO
Email::MIME